Skip to main content
`Ctrl`+`K`

# PCRedundantGetKSP

Gets the less parallel `KSP` created by the redundant `PC`.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCRedundantGetKSP(PC pc, KSP *innerksp)

Not Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- innerksp - the `KSP` on the smaller set of processes

## See Also

KSP: Linear System Solvers, `PCREDUNDANT`

## Level

advanced

## Location

src/ksp/pc/impls/redundant/redundant.c

## Implementations

PCRedundantGetKSP_Redundant() in src/ksp/pc/impls/redundant/redundant.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages